/******************************************************************************
*                                                                             *
* xfsspi.h      WOSA/XFS - SPI functions, types, and definitions              *
*                                                                             *
*               Version 1.11  --  3 Feb 1995                                  *
*                                                                             *
******************************************************************************/

#ifndef __inc_xfsspi__h
#define __inc_xfsspi__h

#ifdef __cplusplus
extern "C" {
#endif

#include <xfsapi.h>

typedef HANDLE HPROVIDER; 

#include <xfsconf.h>
#include <xfsadmin.h>

/*   be aware of alignment   */
#pragma pack(push,1)

/****** SPI functions ********************************************************/

HRESULT extern WINAPI WFPCancelAsyncRequest ( HSERVICE, REQUESTID );
HRESULT extern WINAPI WFPClose ( HSERVICE, HWND, REQUESTID );
HRESULT extern WINAPI WFPDeregister ( HSERVICE, DWORD, HWND, HWND, REQUESTID );
HRESULT extern WINAPI WFPExecute ( HSERVICE, DWORD, LPVOID, DWORD, HWND, REQUESTID );
HRESULT extern WINAPI WFPGetInfo ( HSERVICE, DWORD, LPVOID, DWORD, HWND, REQUESTID );
HRESULT extern WINAPI WFPLock ( HSERVICE, DWORD, HWND, REQUESTID );
HRESULT extern WINAPI WFPOpen ( HSERVICE, LPSTR, HAPP, LPSTR, DWORD, DWORD, HWND, REQUESTID, HPROVIDER, DWORD, LPWFSVERSION, DWORD, LPWFSVERSION );
HRESULT extern WINAPI WFPRegister ( HSERVICE, DWORD, HWND, HWND, REQUESTID );
HRESULT extern WINAPI WFPSetTraceLevel ( HSERVICE, DWORD );
HRESULT extern WINAPI WFPUnloadService (  );
HRESULT extern WINAPI WFPUnlock ( HSERVICE, HWND, REQUESTID );


/*   restore alignment   */
#pragma pack(pop)

#ifdef __cplusplus
}	/*extern "C"*/
#endif

#endif  /* __inc_xfsspi__h */
